Skip to main content
`Ctrl`+`K`

# LMESetDimensions

Sets the dimension of the subspace to be used by the solver.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetDimensions(LME lme,PetscInt ncv)

Logically Collective

## Input Parameters

- lme - the linear matrix equation solver context

- ncv - the maximum dimension of the subspace to be used by the solver

## Options Database Key

- -lme_ncv ncv - sets the dimension of the subspace

## Notes

Use `PETSC_DETERMINE` for `ncv` to assign a reasonably good value, which is dependent on the solution method.

## See Also

LME: Linear Matrix Equation, `LMEGetDimensions()`

## Level

intermediate

## Location

src/lme/interface/lmeopts.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages